Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003089Zandronum[All Projects] Suggestionpublic2017-04-24 18:122017-05-15 03:09
ReporterStrikerMan780 
Assigned ToTorr Samaho 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version3.0-beta 
Target Version3.0Fixed in Version3.0 
Summary0003089: Backport KILL Script type (My last backport request, I swear!)
DescriptionThis is a very simple and straightforward addition, and the last piece of the puzzle I need for my mod, thus the last backport request I'll ever make for 3.0.

https://github.com/coelckers/gzdoom/commit/c0eb8f3b9604612240956b75f3fcd9c5c38f5f13 [^]

Kill scripts, a feature I developed myself last year, in hopes that it could make it here. I'll be using it for dynamic and universal calculation for gaining exp points from enemies. (Bases EXP gained on a combination of their health, aggression, painchance, and other factors.)
Attached Files? file icon KillScriptTest.pk3 [^] (1,050 bytes) 2017-05-01 19:41

- Relationships
duplicate of 0002828closed Backporting KILL Script Type 

-  Notes
User avatar (0017324)
Torr Samaho (administrator)
2017-04-25 19:40

Quote from StrikerMan780
My last backport request, I swear!

I'll take you at your word ;).

https://bitbucket.org/Torr_Samaho/zandronum/commits/2045c167ee6615c2f8e5d095ef30ae05ed79b655 [^]
User avatar (0017325)
StrikerMan780 (reporter)
2017-04-25 19:44

Excellent, now I can start really cleaning up a 7-year-old mess of hacky, difficult to maintain code and move forward with my project. Thank you.
User avatar (0017334)
Torr Samaho (administrator)
2017-04-26 05:59

You're welcome! The feature sounds very useful, in particular, considering that the implementation is very non-invasive.
User avatar (0017345)
StrikerMan780 (reporter)
2017-04-26 16:46
edited on: 2017-04-26 16:47

Yeah, after the first iteration, which was a bit of a mess and overdesigned, I did my best to make something both simple and extremely powerful the second time around.

It seems everything works offline, I haven't started on online testing however... will report back on that.

User avatar (0017496)
StrikerMan780 (reporter)
2017-05-01 18:57

OK, tested it online extensively... and found something interesting. Online, on the first kill after a map starts, the script will execute twice. Subsequent times only executes the script once per actor as it should.
User avatar (0017498)
Torr Samaho (administrator)
2017-05-01 18:59

Can you make a minimal example wad?
User avatar (0017501)
StrikerMan780 (reporter)
2017-05-01 19:42
edited on: 2017-05-01 19:42

PK3 attached. Found out that it's actually executing the script on both the client and server at the same time, even if it isn't a CLIENTSIDE script.

User avatar (0017576)
Torr Samaho (administrator)
2017-05-07 13:05

Thanks! This should be fixed now.
User avatar (0017697)
Ru5tK1ng (updater)
2017-05-15 03:09

I tested the example wad with the fix and the script seemed to function normally.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: Korshun
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2017-04-24 18:12 StrikerMan780 New Issue
2017-04-25 19:40 Torr Samaho Note Added: 0017324
2017-04-25 19:44 StrikerMan780 Note Added: 0017325
2017-04-26 05:55 Torr Samaho Relationship added duplicate of 0002828
2017-04-26 05:58 Torr Samaho Assigned To => Torr Samaho
2017-04-26 05:58 Torr Samaho Status new => needs testing
2017-04-26 05:59 Torr Samaho Note Added: 0017334
2017-04-26 16:46 StrikerMan780 Note Added: 0017345
2017-04-26 16:47 StrikerMan780 Note Edited: 0017345 View Revisions
2017-04-26 16:47 StrikerMan780 Note Edited: 0017345 View Revisions
2017-05-01 18:57 StrikerMan780 Note Added: 0017496
2017-05-01 18:59 Torr Samaho Note Added: 0017498
2017-05-01 19:41 StrikerMan780 File Added: KillScriptTest.pk3
2017-05-01 19:42 StrikerMan780 Note Added: 0017501
2017-05-01 19:42 StrikerMan780 Note Edited: 0017501 View Revisions
2017-05-07 13:05 Torr Samaho Note Added: 0017576
2017-05-15 03:09 Ru5tK1ng Note Added: 0017697
2017-05-15 03:09 Ru5tK1ng Status needs testing => resolved
2017-05-15 03:09 Ru5tK1ng Resolution open => fixed
2017-05-15 03:09 Ru5tK1ng Fixed in Version => 3.0
2017-05-15 03:09 Ru5tK1ng Target Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker